Share via


Sync Agents - List Linked Databases

Lists databases linked to a sync agent.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/syncAgents/{syncAgentName}/linkedDatabases?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

syncAgentName
path True

string

The name of the sync agent.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SyncAgentLinkedDatabaseListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get sync agent linked databases

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187/linkedDatabases?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187/linkedDatabases/55555555-6666-7777-8888-999999999999",
      "properties": {
        "description": "",
        "databaseId": "55555555-6666-7777-8888-999999999999",
        "databaseName": "DummySqlServerDb",
        "databaseType": "SqlServerDatabase",
        "serverName": "DummySqlServer",
        "userName": "DummyUser"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SyncAgentLinkedDatabase

An Azure SQL Database sync agent linked database.

SyncAgentLinkedDatabaseListResult

The response of a SyncAgentLinkedDatabase list operation.

SyncMemberDbType

Type of the sync agent linked database.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SyncAgentLinkedDatabase

An Azure SQL Database sync agent linked database.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.databaseId

string

Id of the sync agent linked database.

properties.databaseName

string

Database name of the sync agent linked database.

properties.databaseType

SyncMemberDbType

Type of the sync agent linked database.

properties.description

string

Description of the sync agent linked database.

properties.serverName

string

Server name of the sync agent linked database.

properties.userName

string

User name of the sync agent linked database.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SyncAgentLinkedDatabaseListResult

The response of a SyncAgentLinkedDatabase list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SyncAgentLinkedDatabase[]

The SyncAgentLinkedDatabase items on this page

SyncMemberDbType

Type of the sync agent linked database.

Value Description
AzureSqlDatabase

AzureSqlDatabase

SqlServerDatabase

SqlServerDatabase

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.